#Makefile for Basic
#note add -pg to CFLAGS and CC for profiling

OUTPUT_OPTION=
CFLAGS = 
CC= gcc
COMPILE.c =  ${CC} ${CFLAGS} ${CPPFLAGS} -c


objects = clip.o displayview.o drawable.o face.o facelist.o index.o \
	  light.o matrix.o mymalloc.o object.o point.o scene.o\
	  polygon.o surface.o tree.o vertex.o view.o roomdata.o main.o

shadows : $(objects)
	$(CC) -Bstatic  $(objects)  -lXmu -lX11 -lm -o shadows

$(objects) : device.h
$(objects) : face.h
$(objects) : view.h
